Questo articolo richiede iOS … o versione successiva: cosa fare?

Stai provando a scaricare un’applicazione nell’iPad o iPhone dall’AppStore ma compare il messaggio Questo articolo richiede iOS … o versione successiva ? Questo problema potrebbe accadere anche con versioni precedenti ad iOS 11 e quindi con iOS 9, 8 ancora più vecchie ma c’è un modo per aggirare il problema e nei paragrafi di questa guida troverai la soluzione per scaricare applicazioni da App Store anche quando viene richiesta una versione più recente di iOS rispetto a quella installata nel tuo iPhone o iPad.

Apple aggiorna costantemente iOS con tante novità e funzioni utili agli utenti e, almeno una volta all’anno, rende disponibili delle release più importanti che comportano il salto di versione, come ad esempio il passaggio da iOS 10 a iOS 11; è anche vero che nei dispositivi più vecchi, i salti di versione potrebbero comportare non pochi problemi: è il caso degli iPhone 5S diventati molto lenti dopo l’installazione di iOS 11 o di alcuni modelli di iPad che non reggono bene le versioni rilasciate dopo qualche anno dalla loro data di produzione, per questo motivo moltissimi utenti preferiscono non aggiornare iOS all’ultima versione rilasciata da Apple se in possesso di dispositivi datati o se non hanno strettamente bisogno di usufruire delle ultime novità progettate dall’azienda poiché abbastanza soddisfatti del sistema attuale.

Ma cosa succede se vogliamo scaricare un’applicazione recente in un dispositivo con una versione di iOS vecchia? Ci compare probabilmente il messaggio Questo articolo richiede iOS … o versione successiva e l’AppStore ci impedisce di procedere con il download poiché non in possesso della versione richiesta.



Questo articolo richiede iOS 9 o versione successiva: perché compare questo messaggio?

Come già anticipato nei primi paragrafi di questo articolo, Apple rilascia aggiornamenti costanti per i suoi sistemi operativi e di conseguenza, anche gli sviluppatori di applicazioni per Mac, iPhone e iPad, rilasciano nuove versioni introducendo novità e migliorie per renderle più sicure. In molti casi, questi aggiornamenti si basano appunto sulle librerie più recenti introdotte nell’ultima versione di iOS pertanto un’app per poter essere eseguita correttamente, richiede una determinata versione del sistema operativo.

Quindi per rispondere alla domanda sul perché compare Questo articolo richiede iOS … o versione successiva, la motivazione è semplice: il sistema operativo installato nel tuo iPhone o iPad non è in grado di eseguire questa applicazione perché sfrutta funzioni nuove non ancora “decodificabili” dal dispositivo, pertanto dovresti aggiornare iOS all’ultima versione.

Ma questa non è l’unica soluzione, infatti, per diverse settimane ho avuto la necessità di dover scaricare l’app Keynote sul mio iPad mini 2 con iOS 10 ma l’AppStore mostrava continuamente il messaggio Questo articolo richiede iOS 11 o versione successiva impedendomi di fare il download: finché non ho trovato una soluzione!

Questo articolo richiede iOS .. o versione successiva: cosa fare

La procedura che ti riporto di seguito è funzionante solo se l’applicazione che vuoi scaricare è stata sviluppata anche per la versione di iOS installata nel tuo dispositivo; quindi se ricordi di averla utilizzata in passato nel tuo device o alcuni amici riescono ad usarla con iOS non aggiornato, puoi farlo anche tu. Pertanto, se l’app è stata aggiornata dallo sviluppatore per introdurre le ultime novità di iOS ed era già disponibile nello store precedenemtnte: non dovresti avere alcun problema a riscaricarla anche se utilizzi una versione datata di iOS; al contrario, se l’app è stata sviluppata e rilasciata per la prima volta l’ultima versione di iOS, non potrai scaricarla (e quindi non utilizzarla) perché non supporta in alcun modo le release precedenti del sistema operativo per iPhone, iPad e iPod Touch.

Cosa serve?

Per poter scaricare un’app che richiede una versione più aggiornata di iOS rispetto a quella installata, servono:

  • connessione ad internet
  • il tuo iPhone o iPad dove vuoi installare l’applicazione
  • un secondo iPhone, iPad o iPod Touch che usa la versione iOS richiesta dall’applicazione che vuoi scaricare (se compare il messaggio Questo articolo richiede iOS 10 o versione successiva è sufficiente che nel dispositivo sia installata la versione indicata)
  • ID Apple

Questo articolo richiede iOS 11 o versione successiva: la soluzione

Vediamo ora cosa fare per scaricare un’app dall’AppStore che richiede una versione aggiornata di iOS e quindi installarla nel nostro dispositivo; la procedura da seguire è la seguente:

  • assicurati che entrambi i dispositivi siano collegati ad internet ed allo stesso account Apple / iCloud
  • per verifica, apri le Impostazioni di iOS, tocca sul tuo nome che compare in alto e controlla che nella parte superiore e nella sezione iTunes e App Store compaia lo stesso indirizzo e-mail in entrambi i dispositivi
  • dall’iPhone aggiornato alla versione iOS richiesta per poter scaricare l’app di tuo interesse, apri l’AppStore e scarica l’applicazione desiderata
  • a download terminato, apri l’AppStore dall’iPhone / iPad non aggiornato e su cui non riesci ad installare l’applicazione di tuo interesse
  • cerca l’app che vuoi installare
  • se tutto è andato per il verso giusto e se lo sviluppatore aveva precedentemente rilasciato una versione di quest’app compatibile con il tuo iOS non aggiornato, accanto al nome dell’app verrà mostrata una nuvola con una freccia verso il basso anziché il solito pulsante azzurro Ottieni o che mostra il prezzo dell’app 
  • tocca sulla nuvoletta per scaricare ed installare l’applicazione nel dispositivo

Al termine, prova l’app scaricata e verifica che funzioni correttamente: se non ci sono stati problemi sei riuscito ad aggirare il problema dell’App Store che ti impedisce di scaricare applicazioni poiché richiede una versione aggiornata di iOS e ti mostra il messaggio Questo articolo richiede iOS … o versione successiva.